Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		elektra
#Epoch:		0
Version:	0.7.0
Release:	1
License:	BSD
URL:		http://www.libelektra.org
Group:		System/Libraries
Summary:	A key/value pair database to store software configurations
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: libtool-devel
BuildRequires: libxml2-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
Elektra provides a universal and secure framework to store configuration
parameters in a hierarchical key-value pair mechanism, instead of each
program using its own text configuration files. This allows any program
to read and save its configuration with a consistent API, and allows
them to be aware of other applications' configurations, permitting
easy application integration. While architecturally similar to other OS
registries, Elektra does not have most of the problems found in those
implementations.


%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
     --prefix=%{_prefix} \
     --sysconfdir=%{_sysconfdir} \
     --includedir=%{_includedir}/elektra \
     --program-prefix=%{name}- \
     --disable-static \
     --disable-rpath \
     --with-ulibdir=%{_libdir} \
     --with-docbook=%{_datadir}/sgml/docbook/xsl-stylesheets \
     --with-kdbschemadir=%{_datadir}/sgml/%{name}-%{version} \
     --enable-iconv \
     --disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Is this really needed?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/init.d/elektra-kdbd
%{_sysconfdir}/profile.d/elektra-elektraenv.sh
%{_bindir}/elektra-kdb
%{_bindir}/elektra-kdb_static
%{_bindir}/elektra-preload
%{_bindir}/elektra-preload_static
%{_libdir}/elektra/
%{_libdir}/libelektra*.so.*
%{_docdir}/elektra/
%{_mandir}/man1/elektra-kdb.1.gz
%{_mandir}/man3/elektra-kdb.3.gz
%{_mandir}/man3/elektra-kdbhighlevel.3.gz
%{_mandir}/man3/elektra-key.3.gz
%{_mandir}/man3/elektra-keymeta.3.gz
%{_mandir}/man3/elektra-keyname.3.gz
%{_mandir}/man3/elektra-keyset.3.gz
%{_mandir}/man3/elektra-keytest.3.gz
%{_mandir}/man3/elektra-keyvalue.3.gz
%{_mandir}/man5/elektra-elektra.5.gz
%{_mandir}/man7/elektra-elektra.7.gz
%{_datadir}/sgml/%{name}-%{version}/elektra.xsd

%files devel
%defattr(-,root,root)
%{_includedir}/elektra/
%{_libdir}/libelektra*.so
%{_libdir}/libelektra*.a
%{_libdir}/libelektra*.la
%{_pkgconfig}/elektra.pc
%{_pkgconfig}/elektracpp.pc
%{_pkgconfig}/elektratools.pc
%{_docdir}/elektra-devel/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 12 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.7.0-1
- initial CCux package release
